Daemon Power

The NetBSD Packages Collection: graphics/gd

Brief description of the package:
Graphics library for the dynamic creation of images

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://libgd.bitbucket.org/.

The package is located in the "graphics/gd" directory. The current source version of the package is "gd-2.2.4nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/gd :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: perl>=5.0 cwrappers>=20150314 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.10.93nb2 libwebp>=0.6.0 .

This package requires the following package(s) to run: perl>=5.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.10.93 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 tiff>=4.0.3nb5 png>=1.6.0nb1 fontconfig>=2.10.93nb2 libwebp>=0.6.0 .

This package supports the following build-time options:

tiff
x11
Enable X11 support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:gd-2.1.1nb2.tgz(NetBSD 7.0)
alpha:gd-2.1.1.tgz(NetBSD 7.0)
alpha:gd-2.1.1nb2.tgz(NetBSD 7.0)
arm:gd-2.1.0.tgz(NetBSD 6.1_STABLE)
earm:gd-2.1.1nb2.tgz(NetBSD 7.0)
earm:gd-2.1.0nb1.tgz(NetBSD 7.0)
earm:gd-2.1.0nb3.tgz(NetBSD 7.0)
earm:gd-2.1.1.tgz(NetBSD 7.0)
earm:gd-2.1.1nb2.tgz(NetBSD 7.0)
earmv6hf:gd-2.1.0nb1.tgz(NetBSD 7.0)
earmv6hf:gd-2.1.0nb3.tgz(NetBSD 7.0)
earmv6hf:gd-2.1.1.tgz(NetBSD 7.0)
earmv6hf:gd-2.1.1nb2.tgz(NetBSD 7.0)
earmv7hf:gd-2.1.1nb2.tgz(NetBSD 7.0)
earmv7hf:gd-2.1.1.tgz(NetBSD 7.0)
earmv7hf:gd-2.1.1nb1.tgz(NetBSD 7.99.21)
earmv7hfeb:gd-2.1.1nb2.tgz(NetBSD 7.0)
i386:gd-2.2.4nb1.tgz(NetBSD 6.0)
i386:gd-2.1.1nb2.tgz(NetBSD 6.0)
i386:gd-2.2.3.tgz(NetBSD 6.0)
i386:gd-2.2.3nb1.tgz(NetBSD 6.0)
i386:gd-2.2.4nb1.tgz(NetBSD 6.1)
i386:gd-2.2.3.tgz(NetBSD 6.1)
i386:gd-2.2.3nb1.tgz(NetBSD 6.1)
i386:gd-2.2.4nb1.tgz(NetBSD 7.0)
i386:gd-2.1.1nb2.tgz(NetBSD 7.0.0_PATCH)
i386:gd-2.2.3.tgz(NetBSD 7.0)
i386:gd-2.2.3nb1.tgz(NetBSD 7.0)
i386:gd-2.2.4.tgz(NetBSD 7.0)
i386:gd-2.0.35nb8.tgz(QNX 6.5.0)
powerpc:gd-2.2.3nb1.tgz(NetBSD 6.0)
powerpc:gd-2.1.1nb2.tgz(NetBSD 6.0)
powerpc:gd-2.1.1nb3.tgz(NetBSD 6.0)
powerpc:gd-2.2.3.tgz(NetBSD 6.0)
powerpc:gd-2.2.3nb1.tgz(NetBSD 6.1)
powerpc:gd-2.1.1nb2.tgz(NetBSD 7.0)
sparc64:gd-2.1.0.tgz(NetBSD 6.1_STABLE)
sparc64:gd-2.1.0nb3.tgz(NetBSD 7.0)
sparc64:gd-2.1.0nb3.tgz(NetBSD 7.0)
sparc64:gd-2.1.1nb2.tgz(NetBSD 7.0)
sparc64:gd-2.2.3nb1.tgz(NetBSD 7.1_RC1)
sparc64:gd-2.1.0nb3.tgz(NetBSD 7.0)
sparc:gd-2.1.1.tgz(NetBSD 7.0)
sparc:gd-2.2.3nb1.tgz(NetBSD 7.0)
x86_64:gd-2.2.4nb1.tgz(NetBSD 6.0)
x86_64:gd-2.1.1nb2.tgz(NetBSD 6.0)
x86_64:gd-2.2.3.tgz(NetBSD 6.0)
x86_64:gd-2.2.3nb1.tgz(NetBSD 6.0)
x86_64:gd-2.2.4nb1.tgz(NetBSD 6.1)
x86_64:gd-2.2.3.tgz(NetBSD 6.1)
x86_64:gd-2.2.3nb1.tgz(NetBSD 6.1)
x86_64:gd-2.2.4nb1.tgz(NetBSD 7.0)
x86_64:gd-2.1.1nb2.tgz(NetBSD 7.0.0_PATCH)
x86_64:gd-2.2.3.tgz(NetBSD 7.0)
x86_64:gd-2.2.3nb1.tgz(NetBSD 7.0)
x86_64:gd-2.2.4.tgz(NetBSD 7.0)
x86_64:gd-2.2.4nb1.tgz(NetBSD 7.0.1_PATCH)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]